using System;
using System.Data;
using System.Configuration;
using System.Collections;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;

public partial class ZAmawianie : System.Web.UI.Page
{
    protected void Page_Load(object sender, EventArgs e)
    {
        if (!User.Identity.IsAuthenticated)
            Response.Redirect("Rejestracja.aspx");
        if (Session["_koszyk"] != null)
        {
            Koszyk koszyk = new Koszyk();
            koszyk = (Koszyk)Session["_koszyk"];
            if (!IsPostBack)
            {
                CheckBoxList1.Items.Clear();
                for (int i = 0; i < koszyk.tytuly.Count; i++)
                {
                    CheckBoxList1.Items.Add((i + 1).ToString() + ". " + koszyk.tytuly[i] + ", cena:" + koszyk.ceny[i] + " zł");
                }
            }
        }
        SqlDataSource2.SelectCommand = "SELECT imie,nazwisko,ulica,numer,numerDomu,kodPocztowy,miejscowosc,NIP FROM Uzytkownicy WHERE (nazwaUzytkownika='" + User.Identity.Name+"')";
        DataView dv = (DataView)SqlDataSource2.Select(new DataSourceSelectArguments());
        Label2.Text = dv[0].Row["imie"].ToString()+" "+dv[0].Row["nazwisko"].ToString();
        string tekst = (string)dv[0].Row["numerDomu"] == String.Empty?" ":"/" + dv[0].Row["numerDomu"].ToString();
        Label3.Text = "ul. " + dv[0].Row["ulica"].ToString() + " " + dv[0].Row["numer"].ToString() + tekst;
        Label4.Text = dv[0].Row["kodPocztowy"].ToString() + " " + dv[0].Row["miejscowosc"].ToString();
        Label5.Text = dv[0].Row["NIP"] == null ? "(Brak)" : dv[0].Row["NIP"].ToString();   
    }
    protected void Button1_Click(object sender, EventArgs e)
    {
        if (Session["_koszyk"] != null)
        {
            Koszyk koszyk = new Koszyk();
            koszyk = (Koszyk)Session["_koszyk"];
            foreach (string tytul in koszyk.tytuly)
            {

                try
                {
                    SqlDataSource1.InsertCommand = "INSERT INTO Zamowienia (tytul, uzytkownik, data) VALUES ('" + tytul + "','" + User.Identity.Name + "','" + DateTime.Now.ToString() + "')";
                    SqlDataSource1.Insert();
                    Label1.Text = "Zamówienie zostało złożone!";
                    Session["_koszyk"] = null;
                    MultiView1.ActiveViewIndex = 1;
                }
                catch
                {
                    MultiView1.ActiveViewIndex = 1;
                    Label1.Text = "Błąd: zamówienie nie zostało złożone";
                }
            }

        }
        else
        {
            MultiView1.ActiveViewIndex = 1;
            Label1.Text = "Koszyk jest pusty. Zamówienie nie zostało złożone";
        }
    }
    protected void Button2_Click(object sender, EventArgs e)
    {
        if (Session["_koszyk"] != null)
            Session["_koszyk"] = null;
        Response.Redirect("Zamawianie.aspx");
    }
    protected void Button3_Click(object sender, EventArgs e)
    {
        if (Session["_koszyk"] != null)
        {
            Koszyk koszyk = new Koszyk();
            koszyk = (Koszyk)Session["_koszyk"];
            
            for (int i = koszyk.WielkoscKoszyka() - 1; i >= 0 ; i--)
            {
                if (CheckBoxList1.Items[i].Selected)
                {
                    koszyk.tytuly.RemoveAt(i);
                    koszyk.ceny.RemoveAt(i);
                }
            }
            Session.Add("_koszyk",koszyk);
            Response.Redirect("Zamawianie.aspx");
        }
    }
}
